Skip to main content
POST
/
instances
/
{id}
/
restart
/instances/{id}/restart
curl --request POST \
  --url https://api.shadeform.ai/v1/instances/{id}/restart \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.shadeform.ai/v1/instances/{id}/restart"

headers = {"X-API-KEY": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.shadeform.ai/v1/instances/{id}/restart', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Restarting an Instance

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

The instance id

Response

200

Confirms the restart of an instance has been initiated. This does not confirm that the instance restarted successfully.